class ShopappLoginController < ApplicationController
  include ShopliftClient

  def welcome
    redirect_parameters = { return_path: request.url }

    if params['set_i18n_pub']
      cookies[:set_i18n_pub] = params['set_i18n_pub']
    end

    I18n.locale = if cookies[:set_i18n_pub].present?
      redirect_parameters[:set_i18n_pub] = cookies[:set_i18n_pub]
      cookies[:set_i18n_pub].to_sym
    else
      I18n.default_locale
    end

    unless Rails.configuration.settings['use_welcome_screen'].present?
      redirect_to root_path
      return
    end

    if authenticate_user
      redirect_to root_path
    else
      if params['logged_in'] == 'false'
        render 'shopapp/login_message', layout: nil
      elsif params['logged_in'] == 'true'
        authenticate_user! true
      else
        destination = URI("#{Rails.configuration.settings['authlift_url']}softly_verify_login")
        destination.query = redirect_parameters.to_query
        redirect_to destination.to_s
      end
    end
  end
end
