module Shopapp3Helper
  def shopapp3_sidebar_icons
    controller.sidebar_actions_list.map do |sidebar_action|
      active = if controller.request.path == sidebar_action[:path]
                 'active'
               end
      <<~HTML
        <li class="nav-item p-1 #{active}">
          <a class="nav-link d-flex flex-column justify-content-start align-items-center" href="#{sidebar_action[:path]}">
            #{image_tag sidebar_action[:icon].to_s, width: '20', class: 'img-fluid mb-1' if sidebar_action[:icon].present?}
            #{mdi_tag sidebar_action[:mdi].to_s, class: 'mdi-36px text-light' if sidebar_action[:mdi].present?}
            <label class="text-light mt-0 text-center">#{ I18n.t(sidebar_action[:tooltip], default: sidebar_action[:tooltip])}</label>
          </a>
        </li>
      HTML
    end.join("\n").html_safe
  end

  def shopapp3_favicon
    <<~HTML.html_safe
      <link rel="shortcut icon" href="/favicon/favicon.ico">
      <link rel="icon" sizes="16x16 32x32 64x64" href="/favicon/favicon.ico">
      <link rel="icon" type="image/png" sizes="196x196" href="/favicon/favicon-192.png">
      <link rel="icon" type="image/png" sizes="160x160" href="/favicon/favicon-160.png">
      <link rel="icon" type="image/png" sizes="96x96" href="/favicon/favicon-96.png">
      <link rel="icon" type="image/png" sizes="64x64" href="/favicon/favicon-64.png">
      <link rel="icon" type="image/png" sizes="32x32" href="/favicon/favicon-32.png">
      <link rel="icon" type="image/png" sizes="16x16" href="/favicon/favicon-16.png">
      <link rel="apple-touch-icon" href="/favicon/favicon-57.png">
      <link rel="apple-touch-icon" sizes="114x114" href="/favicon/favicon-114.png">
      <link rel="apple-touch-icon" sizes="72x72" href="/favicon/favicon-72.png">
      <link rel="apple-touch-icon" sizes="144x144" href="/favicon/favicon-144.png">
      <link rel="apple-touch-icon" sizes="60x60" href="/favicon/favicon-60.png">
      <link rel="apple-touch-icon" sizes="120x120" href="/favicon/favicon-120.png">
      <link rel="apple-touch-icon" sizes="76x76" href="/favicon/favicon-76.png">
      <link rel="apple-touch-icon" sizes="152x152" href="/favicon/favicon-152.png">
      <link rel="apple-touch-icon" sizes="180x180" href="/favicon/favicon-180.png">
      <meta name="msapplication-TileColor" content="#FFFFFF">
      <meta name="msapplication-TileImage" content="/favicon/favicon-144.png">
      <meta name="msapplication-config" content="/favicon/browserconfig.xml">
    HTML
  end
end
