require 'oauth2'

module ShopappCompany
  extend ActiveSupport::Concern

  def app_info
    @app_info ||= JSON.parse client.request(:get, "/api/company/app_info.json?key=#{info['shoplift_key']}").body
  end

  def client
    @oauth ||= OAuth2::Client.new Rails.configuration.settings['authlift_app_id'],
                                  Rails.configuration.settings['authlift_app_secret'],
                                  site: Rails.configuration.settings['authlift_url']
    @token ||= @oauth.client_credentials.get_token scope: [Rails.configuration.settings['authlift_default_scope'], 'public'].compact.join(' ')
  end
end
