default_settings_file = Rails.root.join 'config', 'settings.yml'
local_settings_file = Rails.root.join 'config', 'local.yml'

if File.exist? default_settings_file
  Rails.application.config.settings = YAML.load(ERB.new(File.read(default_settings_file)).result)

  Rails.application.config.settings.merge! YAML.load(ERB.new(File.read(local_settings_file)).result) if
    File.exist? local_settings_file

  Rails.application.config.settings.keys.each do |key|
    if ENV[key.upcase].present?
      Rails.application.config.settings[key] = ENV[key.upcase]
    else
      ENV[key.upcase] = Rails.application.config.settings[key].to_s
    end
  end

  Rails.configuration.consider_all_requests_local = true if
    Rails.configuration.settings['consider_all_requests_local']
else
  Rails.application.config.settings = {}
end

Rails.configuration.generators do |g|
  g.template_engine :haml

  # you can also specify a different test framework or ORM here
  # g.test_framework  :rspec
  # g.orm             :mongoid
end

GravatarImageTag.configure do |config|
  config.default_image           = :wavatar   # Set this to use your own default gravatar image rather then serving up Gravatar's default image [ 'http://example.com/images/default_gravitar.jpg', :identicon, :monsterid, :wavatar, 404 ].
  # config.filetype                = nil   # Set this if you require a specific image file format ['gif', 'jpg' or 'png'].  Gravatar's default is png
  # config.include_size_attributes = true  # The height and width attributes of the generated img will be set to avoid page jitter as the gravatars load.  Set to false to leave these attributes off.
  # config.rating                  = nil   # Set this if you change the rating of the images that will be returned ['G', 'PG', 'R', 'X']. Gravatar's default is G
  # config.size                    = nil   # Set this to globally set the size of the gravatar image returned (1..512). Gravatar's default is 80
  config.secure                  = true # Set this to true if you require secure images on your pages.
end

Rails.application.config.assets.precompile += %w( shopapp3/*.svg flags/*.png )
