if (Rails.configuration.settings['shopapp_mailer_aws_key'] || Rails.configuration.settings['shopapp_aws_key']) &&
   !Rails.configuration.settings['skip_aws_sdk_shopapp_initialization']
  Aws::Rails.add_action_mailer_delivery_method(
    :aws_sdk,
    credentials: Aws::Credentials.new(
      (Rails.configuration.settings['shopapp_mailer_aws_key'] || Rails.configuration.settings['shopapp_aws_key']),
      (Rails.configuration.settings['shopapp_mailer_aws_secret'] || Rails.configuration.settings['shopapp_aws_secret'])
    ),
    region: (Rails.configuration.settings['aws_region'] || 'eu-west-1')
  )
end

class ShopappEmailInterceptor
  def self.delivering_email(message)
    unless Rails.configuration.settings['send_email'].to_s == 'true'
      message.perform_deliveries = false
      Rails.logger.warn "Not sending email because environment doesn't allow it."
      return
    end

    if Rails.configuration.settings['force_email_to'].present?
      message.to = Rails.configuration.settings['force_email_to']
      message.cc = nil
      message.bcc = nil
    end

    message.bcc = Rails.configuration.settings['force_email_bcc'] if Rails.configuration.settings['force_email_bcc'].present?
    message.from = Rails.configuration.settings['force_email_from'] if Rails.configuration.settings['force_email_from'].present?
  end
end

ActionMailer::Base.register_interceptor(ShopappEmailInterceptor)
